Get Test Case
curl --request GET \
--url https://{tenant_id}.api.useago.com/api/v1/simulation/test-cases/{test_case_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/simulation/test-cases/{test_case_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant_id}.api.useago.com/api/v1/simulation/test-cases/{test_case_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"question": "<string>",
"expected_type": "<string>",
"object": "simulation_test_case",
"expected_answer": "<string>",
"expected_tool_name": "<string>",
"expected_tool_args": {},
"expected_agent_id": "<string>",
"expected_agent_name": "<string>",
"metadata": {},
"order": 123,
"persona_id": "<string>",
"persona_name": "<string>",
"api_data_overrides": {},
"tool_call_overrides": {},
"steps": [],
"created_at": "<string>"
}Simulation
Get Test Case
Get a test case by ID.
GET
/
api
/
v1
/
simulation
/
test-cases
/
{test_case_id}
Get Test Case
curl --request GET \
--url https://{tenant_id}.api.useago.com/api/v1/simulation/test-cases/{test_case_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/simulation/test-cases/{test_case_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant_id}.api.useago.com/api/v1/simulation/test-cases/{test_case_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"question": "<string>",
"expected_type": "<string>",
"object": "simulation_test_case",
"expected_answer": "<string>",
"expected_tool_name": "<string>",
"expected_tool_args": {},
"expected_agent_id": "<string>",
"expected_agent_name": "<string>",
"metadata": {},
"order": 123,
"persona_id": "<string>",
"persona_name": "<string>",
"api_data_overrides": {},
"tool_call_overrides": {},
"steps": [],
"created_at": "<string>"
}Authorizations
Path Parameters
Response
200 - application/json
OK
Response schema for simulation test cases.
Show child attributes
Show child attributes
